---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libvminit001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FB60, symBinAddr: 0x6300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51AA0, symBinAddr: 0x8240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51E90, symBinAddr: 0x8630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52E30, symBinAddr: 0x95D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52E40, symBinAddr: 0x95E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F6B0, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F6B4, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F6B8, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F800, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F8B8, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F8BC, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F8C0, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F8C4, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F8C8, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F8D0, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F8E8, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F8F0, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F8F8, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F900, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F908, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4F94A, symBinAddr: 0x61AA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x4F94C, symBinAddr: 0x61AC, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4F950, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x9117, offset: 0x9117, size: 0x8, addend: 0x0, symName: __ZL11mainStarted, symObjAddr: 0x4F954, symBinAddr: 0x61B4, symSize: 0x0 }
  - { offsetInCU: 0x9130, offset: 0x9130, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F958, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9149, offset: 0x9149, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4F960, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x919B, offset: 0x919B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1660, symSize: 0x80 }
  - { offsetInCU: 0x9230, offset: 0x9230, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x15B0, symSize: 0xB0 }
  - { offsetInCU: 0x928B, offset: 0x928B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x14B0, symSize: 0x100 }
  - { offsetInCU: 0x951E, offset: 0x951E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x16E0, symSize: 0x220 }
  - { offsetInCU: 0x9703, offset: 0x9703, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1900, symSize: 0xA0 }
  - { offsetInCU: 0x97B6, offset: 0x97B6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x19A0, symSize: 0x110 }
  - { offsetInCU: 0x98AC, offset: 0x98AC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1AB0, symSize: 0x150 }
  - { offsetInCU: 0x9A29, offset: 0x9A29, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1C00, symSize: 0x30 }
  - { offsetInCU: 0x9B16, offset: 0x9B16, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1C30, symSize: 0x150 }
  - { offsetInCU: 0x9D0E, offset: 0x9D0E, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1D80, symSize: 0x160 }
  - { offsetInCU: 0x9E9A, offset: 0x9E9A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1EE0, symSize: 0x1B0 }
  - { offsetInCU: 0xA0B5, offset: 0xA0B5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2090, symSize: 0xA0 }
  - { offsetInCU: 0xA184, offset: 0xA184, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2130, symSize: 0x20 }
  - { offsetInCU: 0xA1BB, offset: 0xA1BB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2150, symSize: 0x20 }
  - { offsetInCU: 0xA1F2, offset: 0xA1F2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2170, symSize: 0x20 }
  - { offsetInCU: 0xA361, offset: 0xA361, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2190, symSize: 0x1A0 }
  - { offsetInCU: 0xA67F, offset: 0xA67F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2330, symSize: 0x80 }
  - { offsetInCU: 0xA748, offset: 0xA748, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x23B0, symSize: 0x6C0 }
  - { offsetInCU: 0xB2BE, offset: 0xB2BE, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA100, symBinAddr: 0x3570, symSize: 0xB0 }
  - { offsetInCU: 0xB335, offset: 0xB335, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2A70, symSize: 0x70 }
  - { offsetInCU: 0xB3D1, offset: 0xB3D1, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2AE0, symSize: 0xA0 }
  - { offsetInCU: 0xB4DC, offset: 0xB4DC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2B80, symSize: 0x40 }
  - { offsetInCU: 0xB5D2, offset: 0xB5D2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2BC0, symSize: 0x2B0 }
  - { offsetInCU: 0xB978, offset: 0xB978, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2E70, symSize: 0xC0 }
  - { offsetInCU: 0xBABE, offset: 0xBABE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2F30, symSize: 0x10 }
  - { offsetInCU: 0xBB80, offset: 0xBB80, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2F40, symSize: 0x240 }
  - { offsetInCU: 0xBE69, offset: 0xBE69, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3180, symSize: 0x10 }
  - { offsetInCU: 0xBEC6, offset: 0xBEC6, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3190, symSize: 0x100 }
  - { offsetInCU: 0xC013, offset: 0xC013, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E20, symBinAddr: 0x3290, symSize: 0x10 }
  - { offsetInCU: 0xC070, offset: 0xC070, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x9E30, symBinAddr: 0x32A0, symSize: 0x1B0 }
  - { offsetInCU: 0xC28F, offset: 0xC28F, size: 0x8, addend: 0x0, symName: _ThreadStart, symObjAddr: 0x9FE0, symBinAddr: 0x3450, symSize: 0xB0 }
  - { offsetInCU: 0xC346, offset: 0xC346, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_VMInit_vminit001_check, symObjAddr: 0xA090, symBinAddr: 0x3500, symSize: 0x70 }
  - { offsetInCU: 0xC37F, offset: 0xC37F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA1B0, symBinAddr: 0x3620, symSize: 0x36A }
...
